Update a channel
Updates a channel’s name, slug, description, and active status.
PATCH
/api/v1/{team_slug}/{app_slug}/channels/{channel_id}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
channel_idstringrequiredChannel ID
Request body
requiredapplication/jsonChannel update data
activebooleandescriptionstringmarket_idsstring[]namestringrequiredpublishing_rule_idstringslugstringrequiredResponses
200
Channel updated successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelrequiredShow propertiesHide properties
activebooleancreated_atstringdescriptionstringeffective_publishing_rulegithub_com_enadhq_nabbit_internal_pkg_webserver_models.PublishingRule | nullShow propertiesHide properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.PublishingRule
created_atstringidstringis_defaultbooleanminimum_imagesintegernamestringshould_have_brandbooleanshould_have_categorybooleanshould_have_descriptionbooleanshould_have_main_categorybooleanshould_have_pricebooleanshould_have_product_namebooleanupdated_atstring | nullnull
nullidstringmarket_idsstring[] | nullnamestringpublishing_rule_idstringslugstringstore_group_idstringupdated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired404
Channel not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired